org.richfaces.component

## Enum UIQueue.Properties

- java.lang.Object
- - java.lang.Enum<UIQueue.Properties>
  - - org.richfaces.component.UIQueue.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UIQueue.Properties>
  Enclosing class:
    UIQueue

      protected static enum UIQueue.Properties
      extends Enum<UIQueue.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ignoreDupResponses`
    `name`
    `onbeforedomupdate`
    `oncomplete`
    `onerror`
    `onrequestdequeue`
    `onrequestqueue`
    `onsubmit`
    `requestDelay`
    `status`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UIQueue.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UIQueue.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ignoreDupResponses

          public static final UIQueue.Properties ignoreDupResponses

    - #### name

          public static final UIQueue.Properties name

    - #### onbeforedomupdate

          public static final UIQueue.Properties onbeforedomupdate

    - #### oncomplete

          public static final UIQueue.Properties oncomplete

    - #### onerror

          public static final UIQueue.Properties onerror

    - #### onrequestdequeue

          public static final UIQueue.Properties onrequestdequeue

    - #### onrequestqueue

          public static final UIQueue.Properties onrequestqueue

    - #### onsubmit

          public static final UIQueue.Properties onsubmit

    - #### requestDelay

          public static final UIQueue.Properties requestDelay

    - #### status

          public static final UIQueue.Properties status

  - ### Method Detail

    - #### values

          public static UIQueue.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UIQueue.Properties c : UIQueue.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UIQueue.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.